commit:     468d8f85d3f952a8b03632a468f19405638d8a92
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 19:11:04 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 23:23:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=468d8f85

media-sound/jamin: 0.98.9_pre20170111 version bump, EAPI-7

Using tarballs from Debian, GCC-10 fix from Fedora, thank you very much.

Closes: https://bugs.gentoo.org/524042
Closes: https://bugs.gentoo.org/632442
Closes: https://bugs.gentoo.org/632470
Closes: https://bugs.gentoo.org/637562
Closes: https://bugs.gentoo.org/710086
Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-sound/jamin/Manifest                         |  2 +
 .../files/jamin-0.98.9_pre20170111-desktop.patch   | 19 +++++++
 .../files/jamin-0.98.9_pre20170111-gcc10.patch     | 24 +++++++++
 media-sound/jamin/jamin-0.98.9_pre20170111.ebuild  | 59 ++++++++++++++++++++++
 4 files changed, 104 insertions(+)

diff --git a/media-sound/jamin/Manifest b/media-sound/jamin/Manifest
index 756d59eebb1..7b765cad99f 100644
--- a/media-sound/jamin/Manifest
+++ b/media-sound/jamin/Manifest
@@ -1 +1,3 @@
 DIST jamin-0.95.0.tar.gz 1007290 BLAKE2B 
52e28f05170880307a5e50424fce3511ece30ea9e36e479c38efbbfe80c8c6a4116742c42e74a5ded717ad6d3f6b5c780e6b79c764ad280cba3538678b223866
 SHA512 
c57079b65e89623ee6b3f1e71d4ce1c2d995e4a14f8decd17b5d936e99469bb85089da063358e966fdc19a6fa419698c9ca586909d85d69b0525e929a3bd2555
+DIST jamin_0.98.9~git20170111~199091~repack1-1.debian.tar.xz 12476 BLAKE2B 
d25f0a27b754a79da7146ec3c104792a20df0e4258ce01bff29011fa04e1d62057f7c11baac7991634f8161da847ced20e8a81b9d92a1f0cb8d035b32adc5ed1
 SHA512 
f1d2ddc0f1139ffc8ba9036cc385b08cb4c996bf776d909d56e687ead1eee9426e249c46f3eab5d4fde220c75a435a8e4cd9a726f01c9026d42b2208b79c7da7
+DIST jamin_0.98.9~git20170111~199091~repack1.orig.tar.bz2 679350 BLAKE2B 
fc111a4062c4c4ed43eb9a6ea3f8c1d44afbc63780586e8e3b260ec5f5a56781e1e74dd9ebfaac4fbdbaa487662f6b9d75983e02cdca142335d9cb5d3b666dce
 SHA512 
5887bf1f7021d9730a0904afb532d99d9681aa50468e4cdd69c7a69ea7c248192be9a64de21e3be2d01ec6cc4535361470ebfcc4ca4fa4736fcaf5653293ccbe

diff --git a/media-sound/jamin/files/jamin-0.98.9_pre20170111-desktop.patch 
b/media-sound/jamin/files/jamin-0.98.9_pre20170111-desktop.patch
new file mode 100644
index 00000000000..bb5d8fd9158
--- /dev/null
+++ b/media-sound/jamin/files/jamin-0.98.9_pre20170111-desktop.patch
@@ -0,0 +1,19 @@
+--- a/data/jamin.desktop.in    2015-01-14 10:10:12.000000000 +0100
++++ b/data/jamin.desktop.in    2020-08-07 21:23:02.617171359 +0200
+@@ -1,11 +1,10 @@
+ [Desktop Entry]
+-Encoding=UTF-8
+-_Name=JAMin
+-_GenericName=
+-_Comment=JACK Audio Mastering interface
+-Categories=Application;AudioVideo;
++Name=JAMin
++Comment=JACK Audio Mastering interface
++Categories=AudioVideo;Audio
++Keywords=audio;sound;mastering;ladspa
+ Exec=jamin
+-Icon=jamin.svg
++Icon=jamin
+ MimeType=application/x-jamin;
+ StartupNotify=true
+ Terminal=false

diff --git a/media-sound/jamin/files/jamin-0.98.9_pre20170111-gcc10.patch 
b/media-sound/jamin/files/jamin-0.98.9_pre20170111-gcc10.patch
new file mode 100644
index 00000000000..f070267bf90
--- /dev/null
+++ b/media-sound/jamin/files/jamin-0.98.9_pre20170111-gcc10.patch
@@ -0,0 +1,24 @@
+diff -rup jamin-0.97.16-orig/src/hdeq.c jamin-0.97.16/src/hdeq.c
+--- jamin-0.97.16-orig/src/hdeq.c      2007-07-01 17:33:18.000000000 +0200
++++ jamin-0.97.16/src/hdeq.c   2020-02-01 21:09:18.306430243 +0100
+@@ -122,6 +122,8 @@ void interpolate (float, int, float, flo
+ 
+ /* vi:set ts=8 sts=4 sw=4: */
+ 
++/* Defined once here */
++GtkNotebook *l_notebook1;
+ 
+ /*  HDEQ right-click popup menu.  */
+ 
+diff -rup jamin-0.97.16-orig/src/hdeq.h jamin-0.97.16/src/hdeq.h
+--- jamin-0.97.16-orig/src/hdeq.h      2007-06-13 04:20:08.000000000 +0200
++++ jamin-0.97.16/src/hdeq.h   2020-02-01 21:04:13.562907137 +0100
+@@ -62,7 +62,7 @@ void hdeq_notebook1_set_page (guint page
+ int get_current_notebook1_page ();
+ 
+ 
+-GtkNotebook *l_notebook1;
++extern GtkNotebook *l_notebook1;
+ 
+ 
+ #endif

diff --git a/media-sound/jamin/jamin-0.98.9_pre20170111.ebuild 
b/media-sound/jamin/jamin-0.98.9_pre20170111.ebuild
new file mode 100644
index 00000000000..6ef0ea0376b
--- /dev/null
+++ b/media-sound/jamin/jamin-0.98.9_pre20170111.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools xdg
+
+DESCRIPTION="Audio mastering interface for JACK Audio Connection Kit (JACK)"
+HOMEPAGE="http://jamin.sourceforge.net/en/about.html 
https://salsa.debian.org/multimedia-team/jamin";
+SRC_URI="http://deb.debian.org/debian/pool/main/j/${PN}/${PN}_${PV/_pre/~git}~199091~repack1.orig.tar.bz2
+http://deb.debian.org/debian/pool/main/j/${PN}/${PN}_${PV/_pre/~git}~199091~repack1-1.debian.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="osc"
+
+RDEPEND="
+       dev-libs/atk
+       dev-libs/glib
+       dev-libs/libxml2
+       media-libs/libsndfile
+       >=media-plugins/swh-plugins-0.4.6
+       sci-libs/fftw:3.0=
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
+       x11-libs/gtk+:3
+       x11-libs/pango
+       virtual/jack
+       osc? ( >=media-libs/liblo-0.26 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${WORKDIR}"/debian/patches/1003_add_dynamic_linking.patch
+       "${WORKDIR}"/debian/patches/fix_typos.patch
+       "${WORKDIR}"/debian/patches/NEWS.patch
+       "${FILESDIR}"/${P}-gcc10.patch # thanks Fedora
+       "${FILESDIR}"/${P}-desktop.patch
+)
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+       default
+       sed -e "/^AC_INIT/s/.in/.ac/" -i configure.in || die
+       mv configure.{in,ac} || die
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable osc)
+}

Reply via email to